ObertObert
Jobs

Cancel Job

Cancel a running or pending job.

POST
/api/jobs/{job_id}/cancel
AuthorizationBearer <token>

In: header

Path Parameters

job_idstring

Header Parameters

x-tenant-id?string|null

Response Body

application/json

application/json

curl -X POST "https://api.obert.io/api/jobs/string/cancel"
{
  "id": "string",
  "type": "add_post",
  "status": "pending",
  "resource_type": "string",
  "resource_id": "string",
  "stage": "string",
  "progress": {
    "type": "add_post",
    "engager_count": 0,
    "total_to_score": 0,
    "scored_count": 0,
    "total_to_enrich": 0,
    "enriched_count": 0
  },
  "workflow_id": "string",
  "error_message": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}